#!/usr/bin/perl
#
# Istvan Bondar
#
$|=1;
use strict;

my (%unreg, $n, $line);
my ($sta, $prista, $lat, $lon, $elev);
my $ilocroot = $ENV{ILOCROOT};
my $oldstalist = "$ilocroot/auxdata/Stations/isc_stalist";

if (@ARGV < 1) {
   print "  Usage: Update_stalist.pl New_isc_stalist\n";
   print "Example: Update_stalist.pl isc_stalist.20200726.txt\n";
   exit -1;
}
my ($newstalist) = @ARGV;

#
# read old isc_stalist
#
$n = 0;
open(IN, $oldstalist) || die "Cannot open $oldstalist!\n";
#
# get unregistered and local stations from the previous isc_stalist
#
open(OU, "> unregistered.txt") || die "Cannot open file!\n";
while (<IN>) {
    if (/unreg/) {
        print OU "unreg, unreg, 0, 0, 0\n";
        while ($line = <IN>) {
            print OU $line;
            chomp($line);
            ($sta, $prista, $lat, $lon, $elev) = split ', ', $line;
            $unreg{$sta} = $line;
            $n++;
        }
    }
}
close IN;
close OU;
print "$n unregistered stations\n";
#
# read new ISC station list and check for discrepancies
#
open(IN, $newstalist) || die "Cannot open $newstalist!\n";
while ($line = <IN>) {
    chomp($line);
    ($sta, $prista, $lat, $lon, $elev) = split ', ', $line;
    print "$line\n$unreg{$sta}\n" if (exists $unreg{$sta});
}
close IN;







